ワードプレスのPHPのバージョンを変更する前にPHP Compatibility Checkerを使って事前にテーマやプラグインとの互換性をチェックする方法! - ベポくまブログ

ワードプレスのPHPのバージョンを変更する前にPHP Compatibility Checkerを使って事前にテーマやプラグインとの互換性をチェックする方法!

 

今回は、ワードプレスのPHPのバージョンをアップデートしたりする前に、事前にアップデート後のPHPのバージョンと今使っているワードプレスのテーマやプラグインとが互換性があるかどうかを確かめることが出来る「PHP Compatibility Checker」というプラグインの使い方について紹介していきます。

 

ワードプレスのPHPのバージョンをアップデートしたりする前にワードプレスのデータのバックアップを取ることも大事ですが、互換性を事前に確かめておくのも大事ですので、今回の記事をご覧になりやってみてください。

 

 

スポンサーリンク

ワードプレスのPHPのバージョンを変更する前にPHP Compatibility Checkerを使ってテーマやプラグインとの互換性をチェックする方法!

 

PHP Compatibility Checkerのインストール方法!

 

まず、ワードプレスの管理画面へログインをします。

 

次にワードプレスの管理画面の「プラグイン」にある「新規追加」から「プラグインを追加」を表示します。

プラグインにある新規追加をクリックする

 

次に検索欄へ「PHP Compatibility Checker」と入力し、検索結果へ表示されたPHP Compatibility Checkerを「今すぐインストール」からインストールします。

プラグインにある新規追加からPHP Compatibility Checkerをインストールする

 

「PHP Compatibility Checker」のインストールが完了しましたら、「有効化をクリック」します。

PHP Compatibility Checkerをインストールしたら有効化をクリックする

 

PHP Compatibility Checkerを使って互換性をチェックする方法!

 

まず、ワードプレスの管理画面のツールの中に「PHP Compatibility」があるのでそれをクリックします。

ツールにあるPHP Compatibilityをクリックする

 

そうしますと、「PHP Compatibility Checker」が表示されますので、スキンオプションのPHPのバージョンには、自分のアップデート後のPHPバージョンに合わせてチェックを入れます。

(私の場合は、PHPのバージョンを7.3にアップデートする予定ですので、PHP7.3にチェックを入れました。)

そしてプラグイン/テーマの状態にある「全てのプラグインとテーマ」にチェックを入れ、最後に「サイトをスキャン」をクリックします。

PHP 7.3とすべてのプラグインとテーマにチェックを入れ、サイトをスキャンをクリックする

 

すると、このようにワードプレスのテーマやプラグインが選択したPHPバージョンと互換性があるかどうかのチェックが始まりますので、終わるまでしばらく待ちます。

(私の場合は、19個のワードプレスのテーマやプラグインでスキャンに10分程かかりました。)

スキャンが始まるので終わるまでしばらく待つ

 

スキャンが終わりますと、その結果が下の方に一覧となってこのように表示されます。

それぞれのプラグインやテーマの隣に「互換性あり」と表示されていればOKです。

スキャンが終わるとそのスキャンの結果が下の方に一覧となって表示される

 

 

 

スポンサーリンク

-ワードプレス

Copyright© ベポくまブログ , 2020 All Rights Reserved Powered by AFFINGER5.